package cn.axzo.workflow.common.enums;

/**
 * 加签类型
 *
 * @author zuoqinbo
 */
public enum BpmnReminderType {
    /**
     * 短信
     */
    TEXT_MESSAGE("TEXT_MESSAGE", "短信"),
    /**
     * 站内信
     */
    INBOX_MESSAGE("INBOX_MESSAGE", "站内信");

    private String type;
    private String desc;

    BpmnReminderType(String type, String desc) {
        this.type = type;
        this.desc = desc;
    }

    public boolean isEqual(String type) {
        return this.type.equals(type);
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

}
